/// <reference types="react" />
import { Variant as ThemeVariant } from "@material-ui/core/styles/createTypography";
import { FormControl } from "../FormControl";
import { ValidationIssue } from "@appglue/common/dist/Common/IDesignValidationProvider";
import { IDataDefinition } from "@appglue/common/dist/Common/Data/Definitions/IDataDefinition";
export declare class HeadingFormControl extends FormControl {
    readonly __type: string;
    type: ThemeVariant;
    text: string;
    valueName?: string;
    fromData: boolean;
    maxLength?: number;
    fontSize?: number;
    color?: string;
    background?: string;
    textAlign: "left" | "center" | "right";
    constructor();
    render(): JSX.Element;
    renderEditUI(): JSX.Element | null;
    getDesignValidationIssues(): ValidationIssue[];
    getRuntimeValidationIssues(): ValidationIssue[];
    getAddedData(): IDataDefinition | IDataDefinition[] | undefined;
    getStorageData(): object;
    setStorageData(data: object): void;
}
